Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.application
Enum IterationComponentsConfiguration.Items

    java.lang.Object
      java.lang.Enum<IterationComponentsConfiguration.Items>
          org.richfaces.application.IterationComponentsConfiguration.Items

All Implemented Interfaces:
  Serializable, Comparable<IterationComponentsConfiguration.Items>

Enclosing class:
  IterationComponentsConfiguration

    public static enum IterationComponentsConfiguration.Items

extends Enum<IterationComponentsConfiguration.Items>

Enum Constant Summary
`datatableUsesViewLocale`

Method Summary
`static IterationComponentsConfiguration.Items` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IterationComponentsConfiguration.Items[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### datatableUsesViewLocale

    @ConfigurationItem(defaultValue="false",
                       names="org.richfaces.datatableUsesViewLocale")
    public static final IterationComponentsConfiguration.Items datatableUsesViewLocale

Method Detail

### values

    public static IterationComponentsConfiguration.Items[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (IterationComponentsConfiguration.Items c : IterationComponentsConfiguration.Items.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static IterationComponentsConfiguration.Items valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.